<template>
	<v-app dark>
		<div class="d-flex align-center justify-center fheight" style="background-color: #fff">
			<div>
				<h1 v-if="error.statusCode === 404">
					<div class="d-flex justify-center">
						<img :src="convertImage" alt="" class="rounded-circle" width="100px" height="100px" />
					</div>
					<div class="mt-10">
						<h1 class="text-center" style="font-size: 3rem">
							Opps! Page Not Found
						</h1>
						<p class="text-center font-weight-light" style="font-size: 14px">
							Uh oh, we can't seem to find the page you're looking
							for. <br />
							Try going back to the previous page or go to home
							page
						</p>
					</div>
					<div class="d-flex justify-center mt-3">
						<NuxtLink to="/" class="text-decoration-none">
							<v-btn color="#fcb82f" class="elevation-0">
								<span class="text-none" style="color: #ffffff">
									Back To Home Page
								</span>
							</v-btn>
						</NuxtLink>
					</div>
					<!-- {{ pageNotFound }} -->
					<div class="d-flex justify-center">
						<img src="~/assets/images/error.webp" alt="" width="500" height="500" />
					</div>
				</h1>
				<h1 v-else>
					{{ otherError }}
				</h1>
			</div>
		</div>
	</v-app>
</template>

<script>
import { api } from '~/common/constaint'
export default {
	name: 'EmptyLayout',
	layout: 'empty',
	props: {
		error: {
			type: Object,
			default: null
		}
	},
	data() {
		return {
			pageNotFound: '404 Not Found',
			otherError: 'An error occurred'
		}
	},
	head() {
		const title =
			this.error.statusCode === 404 ? this.pageNotFound : this.otherError
		return {
			title
		}
	},
	computed: {
		siteInfo() {
			return this.$store.state.setting.siteInfo
		},
		convertImage() {
			return `${api}/${this.siteInfo.logo}`
		}
	}
}
</script>

<style scoped>
h1 {
	font-size: 20px;
}
</style>